---
# tasks file for roles/aci_physical_domain
- name: ACI Domain with VLAN Pool
  cisco.aci.aci_domain_to_vlan_pool:
    host: "{{ apic_host }}"
    username: "{{ user_var }}"
    password: "{{ user_pass }}"
    validate_certs: "{{ validate_certs }}"
    use_ssl: "{{ use_ssl }}"
    use_proxy: "{{ use_proxy }}"
    state: "{{ state }}"
    domain_type: phys
    pool_allocation_mode: "{{ item }}"
  delegate_to: localhost
  register: aci_vl_pool_phys_domain_result
  loop:
    - static
    - dynamic